org.apache.commons.math3.optim

## Class SimpleBounds

- java.lang.Object
- - org.apache.commons.math3.optim.SimpleBounds

All Implemented Interfaces:
  OptimizationData

    public class SimpleBounds
    extends Object
    implements OptimizationData

Simple optimization constraints: lower and upper bounds. The valid range of the parameters is an interval that can be infinite (in one or both directions).
Immutable class.

Since:
  3.1
Version:
  $Id: SimpleBounds.java 1416643 2012-12-03 19:37:14Z tn $

### Field Summary

Fields
`private double[]` `lower` Lower bounds.
`private double[]` `upper` Upper bounds.

### Constructor Summary

Constructors
Constructor and Description
`SimpleBounds(double[] lB, double[] uB)`

### Method Summary

Methods
`double[]` `getLower()` Gets the lower bounds.
`double[]` `getUpper()` Gets the upper bounds.
`static SimpleBounds` `unbounded(int dim)` Factory method that creates instance of this class that represents unbounded ranges.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lower

    private final double[] lower

Lower bounds.

#### upper

    private final double[] upper

Upper bounds.

### Constructor Detail

#### SimpleBounds

    public SimpleBounds(double[] lB,
                double[] uB)

Parameters:
  `lB` - Lower bounds.
  `uB` - Upper bounds.

### Method Detail

#### getLower

    public double[] getLower()

Gets the lower bounds.

Returns:
  the lower bounds.

#### getUpper

    public double[] getUpper()

Gets the upper bounds.

Returns:
  the upper bounds.

#### unbounded

    public static SimpleBounds unbounded(int dim)

Factory method that creates instance of this class that represents unbounded ranges.

Parameters:
  `dim` - Number of parameters.
Returns:
  a new instance suitable for passing to an optimizer that requires bounds specification.